RulesT.cc File Reference
`#include <OpenMesh/Core/System/config.h>`
`#include <OpenMesh/Core/IO/MeshIO.hh>`
`#include "RulesT.hh"`
`#include <cmath>`
Include dependency graph for RulesT.cc:

## Namespaces

| OpenMesh
| Contains all the mesh ingredients like the polygonal mesh, the triangle mesh, different mesh kernels and mesh traits.
| OpenMesh::Subdivider::Adaptive
| Software related to adaptive subdivision of meshes.

## Macros

#define | OPENMESH_SUBDIVIDER_ADAPTIVE_RULEST_CC
#define | MOBJ Base::mesh_.data
#define | FH face_handle
#define | VH vertex_handle
#define | EH edge_handle
#define | HEH halfedge_handle
#define | NHEH next_halfedge_handle
#define | PHEH prev_halfedge_handle
#define | OHEH opposite_halfedge_handle
#define | TVH to_vertex_handle
#define | FVH from_vertex_handle